slackbuilds_ponce/network/miniupnpd/slackware-version.patch
Andreas Guldstrand af7fe71764 network/miniupnpd: Added (IGD Protocol, NAT-PMP, and PCP daemon).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
2018-05-12 06:58:23 +07:00

60 lines
1.8 KiB
Diff

--- a/genconfig.sh 2018-05-05 10:09:05.942853150 +0200
+++ b/genconfig.sh 2018-05-05 10:26:38.668441749 +0200
@@ -274,28 +274,35 @@
OS_VERSION=`grep ^base_version /etc/product | awk '{ print $3 }'`
OS_URL=https://www.clearos.com/
fi
- # use lsb_release (Linux Standard Base) when available
- LSB_RELEASE=`which lsb_release`
- if [ 0 -eq $? ]; then
- OS_NAME=`${LSB_RELEASE} -i -s`
- OS_VERSION=`${LSB_RELEASE} -r -s`
- case $OS_NAME in
- Debian)
- OS_URL=http://www.debian.org/
- OS_VERSION=`${LSB_RELEASE} -c -s`
- ;;
- Ubuntu)
- OS_URL=http://www.ubuntu.com/
- OS_VERSION=`${LSB_RELEASE} -c -s`
- ;;
- Gentoo)
- OS_URL=http://www.gentoo.org/
- ;;
- arch)
- OS_URL=http://www.archlinux.org/
- OS_VERSION=`uname -r`
- ;;
- esac
+ # Slackware specific
+ if [ -f /etc/os-release ]; then
+ OS_NAME=$(cat /etc/os-release | grep ^NAME= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
+ OS_VERSION=$(cat /etc/os-release | grep ^VERSION= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
+ OS_URL=$(cat /etc/os-release | grep ^HOME_URL= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
+ else
+ # otherwise use lsb_release (Linux Standard Base) when available
+ LSB_RELEASE=`which lsb_release`
+ if [ 0 -eq $? ]; then
+ OS_NAME=`${LSB_RELEASE} -i -s`
+ OS_VERSION=`${LSB_RELEASE} -r -s`
+ case $OS_NAME in
+ Debian)
+ OS_URL=http://www.debian.org/
+ OS_VERSION=`${LSB_RELEASE} -c -s`
+ ;;
+ Ubuntu)
+ OS_URL=http://www.ubuntu.com/
+ OS_VERSION=`${LSB_RELEASE} -c -s`
+ ;;
+ Gentoo)
+ OS_URL=http://www.gentoo.org/
+ ;;
+ arch)
+ OS_URL=http://www.archlinux.org/
+ OS_VERSION=`uname -r`
+ ;;
+ esac
+ fi
fi
echo "#define USE_IFACEWATCHER 1" >> ${CONFIGFILE}
FW=netfilter